Мазмұнға өту

Tripo3D Segment

Интеграциялау

Модель идентификаторы tripo3d/tripo/segment
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/tripo3d/tripo/segment?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "mesh_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Осы сұрау: ≈0,40 $ 400 API кредиті · ≈ 42,19 ₽ Осы бетте іске қосу

API кілтін алу
Tripo 3D #stylized#transform

Бар 3D модельді атаулары бар семантикалық бөліктерге бөліп, бөлік атауларын қайтарады

Tripo · 3D

Алғашқы нәтижеңіз осында пайда болады

Төменде сұрау құрып, оны API кілтіңізбен іске қосыңыз. Шығыстар сақтау орнымызға көшіріліп, мәңгі немесе 7 күн тегін сақталады.

Сұрау жасау

Басқару элементтері модель схемасынан жасалады. Оларды өзгерткен сайын код пен баға жаңартылады.

•міндетті

Сегментация көзі: URL арқылы берілетін, өлшемі 150 MB-тан аспайтын және GLB, OBJ, FBX немесе STL ретінде сақталған 3D модель.

POST /run/tripo3d/tripo/segment?wait=20 бағасы → 0,40 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/tripo3d/tripo/segment?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "mesh_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Осы сұрауды іске қосу

Кілтіңіз осы браузерде қалады: ол тек Doitong API-ге жіберіледі және Remember параметрін белгілеcеңіз ғана localStorage ішінде сақталады. API кілтін алу

Tripo3D Segment туралы

`mesh_url` арқылы берілген торды (GLB, OBJ, FBX немесе STL, көлемі 150MB-қа дейін) қабылдап, оны бөліктерге бөледі. Нәтижеде сегменттелген модель, алдын ала қарау кескіні және болған жағдайда `part_names` тізімі қайтарылады. Бұл атауларды remesh моделіне беріп, бөліктерді бөлек сақтауға болады. Басқа параметрлер қабылданбайды.

Параметрлер

АтауыТүрі ӘдепкіРұқсат етілген Сипаттама
mesh_urlміндетті
Түріstring
Сегментация көзі: URL арқылы берілетін, өлшемі 150 MB-тан аспайтын және GLB, OBJ, FBX немесе STL ретінде сақталған 3D модель.
міндетті

Шығыс

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "tripo3d/tripo/segment",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 400,
    "usd": "0.40",
    "charged": 400,
    "refunded": 0
  },
  "input": {
    "mesh_url": "https://example.com/your-file.glb"
  },
  "output": {
    "model_mesh": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "model_urls": {
      "glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "base_model": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "pbr_model": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    },
    "part_names": [
      "string"
    ],
    "rendered_image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Файлдарыңыз — таңдауыңызӘр outputs[].url — сақтау орнымыздағы көшірме: мәңгі (әр GB-ай үшін ақылы) немесе аккаунт параметрі не ?storage= арқылы 7 күн тегін сақталады.
Әр модельдегі пішім бірдейtype, url, content_type, width, height және duration — кескіндерге, бейнеге және аудиоға ортақ. output — модельдің өз нәтижелер нысаны.
Шығыс өрістері
model_mesh
object {url, content_type, file_name, file_size}Пішімі Tripo қайтаратын дерекке байланысты болатын сегменттелген 3D файл: GLB немесе FBX.
model_urls
object {glb, fbx, base_model, pbr_model}Сегменттелген модельдің балама 3D нұсқаларына сілтеме жасайтын URL мекенжайлары.
part_names
array of stringБөліктерді бөлек сақтау үшін қайта торлау сұрауында 'part_names' ретінде пайдаланылатын бөлік идентификаторлары. Бұл атаулар Tripo сегментация кезінде хабарласа ғана қосылады.
rendered_image
object {url, content_type, file_name, file_size} | nullСегменттелген 3D модельді көрсететін визуализацияланған алдын ала көрініс.

Қосымша модельдер: 3D

AI агенттеріне: бұл беттің Markdown нұсқасы мына жерде: https://doitong.com/kk/developers/models/tripo3d/tripo/segment.md. Барлық модельдер мен нұсқаулықтар: https://doitong.com/developers/llms.txt